set path [file normalize "[file normalize [file dirname [info script]]]"]
source ${path}/BU_settings.tcl

file mkdir $apollo_root_path/bit

#build the zynq and axi systems
source $apollo_root_path/src/ZynqPS/build_Zynq_${build_name}.tcl

#generate a PDF of the file
if { [catch start_gui] == 0 } { 
    puts "INFO: gui successfully opened, writing block design layout"
    write_bd_layout -quiet -force -format svg -orientation portrait ../doc/${build_name}_${bd_name}.svg
    stop_gui
} else { 
    puts "INFO: gui did not open, skip write block design layout"
}	    


#Create and read in the sane version of the bd wrapper file
make_wrapper -files [get_files $bd_name.bd] -top -import -force
set wrapper_file [make_wrapper -files [get_files $bd_name.bd] -top -force]
set wrapper_file_sane [string map {_wrapper.vhd _sane_wrapper.vhd} $wrapper_file]
puts "Modifying ${bd_name} wrapper file ${wrapper_file}"


##########################################################
#python crap
set PYTHONPATH $::env(PYTHONPATH)
set PYTHONHOME $::env(PYTHONHOME)
set ::env(PATH) "/usr/bin:$::env(PATH)" 
unset -nocomplain ::env(PYTHONPATH)
unset -nocomplain ::env(PYTHONHOME)

set output_text [exec ${apollo_root_path}/build-scripts/update_bd_wrapper.py -i $wrapper_file -o $wrapper_file_sane]

set ::env(PYTHONPATH) $PYTHONPATH
set ::env(PYTHONHOME) $PYTHONHOME
##########################################################

puts "Adding ${wrapper_file_sane}"
read_vhdl $wrapper_file_sane

puts "Adding autogenerated files"
# global vhdl files in autogen/*.vhd
set global_autogen_files [glob ${apollo_root_path}/configs/${build_name}/autogen/*.vhd]
foreach vhdl_file $global_autogen_files {
    read_vhdl $vhdl_file
}
# decoder vhdl files that are ing autogen/name/*.vhd
set axi_decoder_files [glob ${apollo_root_path}/configs/${build_name}/autogen/*/*.vhd]
foreach vhdl_file $axi_decoder_files {
    read_vhdl $vhdl_file
}

#read_vhdl ../../configs/${build_name}/autogen/AXI_slave_pkg.vhd   
#read_vhdl ../../configs/${build_name}/autogen/Global_PKG.vhd   



